PyCharm 2016.3 and later updated for GitHub compatibility

Recently, GitHub has improved its security by moving to more secure cryptographic algorithms. We’ve updated all PyCharm versions from 2016.3 and later to be compatible with GitHub’s new algorithms.

The new versions:

  • PyCharm 2017.3.4
  • PyCharm 2017.2.5
  • PyCharm 2017.1.6
  • PyCharm 2016.3.4

Please update PyCharm to ensure you can continue to use GitHub using PyCharm’s integration. You can download the latest version of PyCharm from our website. If you have a perpetual license to an older version, you can get those from the previous versions page.

This entry was posted in Release Announcements and tagged . Bookmark the permalink.

One Response to PyCharm 2016.3 and later updated for GitHub compatibility

  1. 伊艾斯 says:

    how to change the ignore file’s color, i want it is different from normal files

Leave a Reply

Your email address will not be published. Required fields are marked *